
/**
 * Interface for a queue which holds objects in first-in-first-out 
 * order. 
 */
public interface Queue
{
  /** returns true if the queue is empty else false */
  public boolean isEmpty();
  
  /** adds the object to the end of the queue */
  public void enqueue(Object obj);
  
  /** removes the first object in the queue and returns it */
  public Object dequeue();
  
  /** returns the first object in the queue without removing it */
  public Object peekFront();
}