import junit.framework.TestCase;

/**
 * A JUnit test case class.
 * Every method starting with the word "test" will be called when running
 * the test with JUnit.
 */
public class StackTest extends TestCase {
  
  /**
   * A test method.
   * Tests pushing an object on the stack and popping objects off the stack
   * and the empty check
   */
  public void testAddPopEmpty() {
    Stack stack = new ArrayListStack();
    stack.push("Hi");
    stack.push("Bye");
    assertTrue("Add failed after two adds and one pop","Bye".equals(stack.pop()));
    assertTrue("Add failed is not empty check",stack.isEmpty() == false);
    assertTrue("Add failed after two adds and second pop","Hi".equals(stack.pop()));
    assertTrue("Add failed is empty check",stack.isEmpty());
  }
  
  /**
   * A test method to test peek
   */
  public void testPeek() {
    Stack stack = new ArrayListStack();
    stack.push("Fred");
    assertTrue("Peek failed",stack.peekTop().equals("Fred"));
    assertTrue("Peek failed pop",stack.pop().equals("Fred"));
  }
  
}
