
/**
 * Interface to describe the methods needed for a stack
 */
public interface Stack
{
  /** Method that returns true if the stack is empty else false */
  public boolean isEmpty();
  
  /** Method that adds the passed object to the stack */
  public void push(Object obj);
  
  /** Method that returns the top of the stack and removes the object from the stack */
  public Object pop();
  
  /** Method that returns the top of the stack but doesn't remove the object */
  public Object peekTop();
}
  